[arch-commits] Commit in hasktags/trunk (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Mon May 14 09:23:26 UTC 2018


    Date: Monday, May 14, 2018 @ 09:23:25
  Author: felixonmars
Revision: 321956

upgpkg: hasktags 0.70.0-1

Modified:
  hasktags/trunk/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2018-05-14 09:23:17 UTC (rev 321955)
+++ PKGBUILD	2018-05-14 09:23:25 UTC (rev 321956)
@@ -3,22 +3,22 @@
 # Contributor: Arch Haskell Team <arch-haskell at haskell.org>
 
 pkgname=hasktags
-pkgver=0.69.5
+pkgver=0.70.0
 pkgrel=1
 pkgdesc="Produces ctags \"tags\" and etags \"TAGS\" files for Haskell programs"
 url="https://github.com/MarcWeber/hasktags"
 license=("custom:BSD3")
 arch=('x86_64')
-depends=('ghc-libs' "haskell-hunit" "haskell-json" "haskell-utf8-string")
-makedepends=('ghc')
+depends=('ghc-libs' 'haskell-json' 'haskell-microlens-platform' 'haskell-utf8-string')
+makedepends=('ghc' 'haskell-hunit')
 source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
-sha512sums=('2394a41ce5f6a24b3deec9157dcc29bc5aad2da1d133d15982918d2833fc4c4299fa9b68ea42de85ce2085cfe32d39c32aaf9fddff6c0c3687044a19694b29b6')
+sha512sums=('f07196a0438500600b116c03ed9c73b81e16f8c7646558e611b552f165cce7a32902c196ce8c76f0fb47093cc3a3ffdd440141a57dbd0e32e1984966ee85be20')
 
 build() {
-    cd "${srcdir}/${pkgname}-${pkgver}"
+    cd $pkgname-$pkgver
     
     runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" \
+        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --enable-tests \
         --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
             -f-debug
     runhaskell Setup build
@@ -28,8 +28,13 @@
     sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
 }
 
+check() {
+    cd $pkgname-$pkgver
+    runhaskell Setup test || warning "Tests failed"
+}
+
 package() {
-    cd "${srcdir}/${pkgname}-${pkgver}"
+    cd $pkgname-$pkgver
     
     install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
     install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"



More information about the arch-commits mailing list